Bug 1275152 - Exception: undefined method `[]' for nil:NilClass when upgrading from 6.0.8
Exception: undefined method `[]' for nil:NilClass when upgrading from 6.0.8
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Upgrades (Show other bugs)
x86_64 Linux
unspecified Severity urgent (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
Katello QA List
Depends On:
  Show dependency treegraph
Reported: 2015-10-26 02:58 EDT by jnikolak
Modified: 2015-10-26 03:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-10-26 03:31:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
reindex (15.24 MB, text/plain)
2015-10-26 02:58 EDT, jnikolak
no flags Details
foreman_debug (748.49 KB, application/x-xz)
2015-10-26 03:05 EDT, jnikolak
no flags Details

  None (edit)
Description jnikolak 2015-10-26 02:58:41 EDT
Created attachment 1086387 [details]

The following errors were found when customer upgraded their satellite from 
Satellite 6.0.8

They can also be reproduced by running 
# foreman-rake katello:reindex 

2015-10-26 02:23:43 [I] Object: #<Katello::ContentViewPuppetEnvironment id: 20, content_view_version_id: 48, environment_id: 2, name: "Cloud-v1.0", pulp_id: "IaaS-Library-Cloud-v1_0", created_at: "2015-05-07 09:56:35", updated_at: "2015-10-15 09:15:01", puppet_environment_id: 10>
2015-10-26 02:23:43 [E] Exception: undefined method `[]' for nil:NilClass
2015-10-26 02:23:43 [E] Stack Trace:
 /opt/rh/ruby193/root/usr/share/gems/gems/katello- `block (2 levels) in included'
/opt/rh/ruby193/root/usr/share/gems/gems/katello- `instance_eval'
/opt/rh/ruby193/root/usr/share/gems/gems/katello- `run_initializer'
/opt/rh/ruby193/root/usr/share/gems/gems/katello- `lazy_attribute_get'
/opt/rh/ruby193/root/usr/share/gems/gems/katello- `block (2 levels) in lazy_accessor'
/opt/rh/ruby193/root/usr/share/gems/gems/katello- `block in to_indexed_json'
/opt/rh/ruby193/root/usr/share/gems/gems/tire-0.6.2/lib/tire/index.rb:273:in `bulk_store'
/opt/rh/ruby193/root/usr/share/gems/gems/tire-0.6.2/lib/tire/index.rb:300:in `import'
/opt/rh/ruby193/root/usr/share/gems/gems/katello- `block (3 levels) in <top (required

The upgrade completed but they are getting a new issue, with not being able to delete, refresh or upload new manifest.
With the following error:
Runtime Error query did not return a unique result: 2 at org.hibernate.internal.AbstractQueryImpl.uniqueElement:918
Comment 1 jnikolak 2015-10-26 03:05 EDT
Created attachment 1086388 [details]

Note You need to log in before you can comment on or make changes to this bug.